be.fgov.ehealth.dics.protocol.v5

## Class FindAmpRequestType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v5.DicsRequestType
    - - be.fgov.ehealth.dics.protocol.v5.FindAmpRequestType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    FindAmpRequest, FindListOfAmpRequest

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class FindAmpRequestType
      extends DicsRequestType
      implements Serializable

  Java class for FindAmpRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindAmpRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
             <sequence>
               <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByActualProductType" minOccurs="0"/>
               <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByPackageType" minOccurs="0"/>
               <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType" minOccurs="0"/>
               <element name="FindByIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByIngredientType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="FindByVirtualProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByVirtualProductType" minOccurs="0"/>
               <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByGenericPrescriptionGroupType" minOccurs="0"/>
               <element name="FindByCompany" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByCompanyType" minOccurs="0"/>
               <element name="HasComponentWith" type="{urn:be:fgov:ehealth:dics:protocol:v5}HasActualComponentWithType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindAmpRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindByCompanyType` | `getFindByCompany()` Gets the value of the findByCompany property.
    `FindByDmppType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
    `FindByGenericPrescriptionGroupType` | `getFindByGenericPrescriptionGroup()` Gets the value of the findByGenericPrescriptionGroup property.
    `List<FindByIngredientType>` | `getFindByIngredients()` Gets the value of the findByIngredients property.
    `FindByPackageType` | `getFindByPackage()` Gets the value of the findByPackage property.
    `FindByActualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
    `FindByVirtualProductType` | `getFindByVirtualProduct()` Gets the value of the findByVirtualProduct property.
    `List<HasActualComponentWithType>` | `getHasComponentWiths()` Gets the value of the hasComponentWiths property.
    `void` | `setFindByCompany(FindByCompanyType value)` Sets the value of the findByCompany property.
    `void` | `setFindByDmpp(FindByDmppType value)` Sets the value of the findByDmpp property.
    `void` | `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)` Sets the value of the findByGenericPrescriptionGroup property.
    `void` | `setFindByPackage(FindByPackageType value)` Sets the value of the findByPackage property.
    `void` | `setFindByProduct(FindByActualProductType value)` Sets the value of the findByProduct property.
    `void` | `setFindByVirtualProduct(FindByVirtualProductType value)` Sets the value of the findByVirtualProduct property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

      `getSearchDate, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindAmpRequestType

          public FindAmpRequestType()

  - ### Method Detail

    - #### getFindByProduct

          public FindByActualProductType getFindByProduct()

      Gets the value of the findByProduct property.
      Returns:
        possible object is `FindByActualProductType`

    - #### setFindByProduct

          public void setFindByProduct(FindByActualProductType value)

      Sets the value of the findByProduct property.
      Parameters:
        `value` - allowed object is `FindByActualProductType`

    - #### getFindByPackage

          public FindByPackageType getFindByPackage()

      Gets the value of the findByPackage property.
      Returns:
        possible object is `FindByPackageType`

    - #### setFindByPackage

          public void setFindByPackage(FindByPackageType value)

      Sets the value of the findByPackage property.
      Parameters:
        `value` - allowed object is `FindByPackageType`

    - #### getFindByDmpp

          public FindByDmppType getFindByDmpp()

      Gets the value of the findByDmpp property.
      Returns:
        possible object is `FindByDmppType`

    - #### setFindByDmpp

          public void setFindByDmpp(FindByDmppType value)

      Sets the value of the findByDmpp property.
      Parameters:
        `value` - allowed object is `FindByDmppType`

    - #### getFindByIngredients

          public List<FindByIngredientType> getFindByIngredients()

      Gets the value of the findByIngredients property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the findByIngredients property.

      For example, to add a new item, do as follows:

              getFindByIngredients().add(newItem);

      Objects of the following type(s) are allowed in the list `FindByIngredientType`

    - #### getFindByVirtualProduct

          public FindByVirtualProductType getFindByVirtualProduct()

      Gets the value of the findByVirtualProduct property.
      Returns:
        possible object is `FindByVirtualProductType`

    - #### setFindByVirtualProduct

          public void setFindByVirtualProduct(FindByVirtualProductType value)

      Sets the value of the findByVirtualProduct property.
      Parameters:
        `value` - allowed object is `FindByVirtualProductType`

    - #### getFindByGenericPrescriptionGroup

          public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()

      Gets the value of the findByGenericPrescriptionGroup property.
      Returns:
        possible object is `FindByGenericPrescriptionGroupType`

    - #### setFindByGenericPrescriptionGroup

          public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)

      Sets the value of the findByGenericPrescriptionGroup property.
      Parameters:
        `value` - allowed object is `FindByGenericPrescriptionGroupType`

    - #### getFindByCompany

          public FindByCompanyType getFindByCompany()

      Gets the value of the findByCompany property.
      Returns:
        possible object is `FindByCompanyType`

    - #### setFindByCompany

          public void setFindByCompany(FindByCompanyType value)

      Sets the value of the findByCompany property.
      Parameters:
        `value` - allowed object is `FindByCompanyType`

    - #### getHasComponentWiths

          public List<HasActualComponentWithType> getHasComponentWiths()

      Gets the value of the hasComponentWiths property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hasComponentWiths property.

      For example, to add a new item, do as follows:

              getHasComponentWiths().add(newItem);

      Objects of the following type(s) are allowed in the list `HasActualComponentWithType`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.